org.apache.ivy.osgi.util

## Class DelegatingHandler.ChildElementHandler<DH extends DelegatingHandler>

- java.lang.Object
- - org.apache.ivy.osgi.util.DelegatingHandler.ChildElementHandler<DH>

Enclosing class:
  DelegatingHandler

    public abstract static class DelegatingHandler.ChildElementHandler<DH extends DelegatingHandler>
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`DelegatingHandler.ChildElementHandler()`

### Method Summary

Methods
`abstract void` `childHanlded(DH child)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DelegatingHandler.ChildElementHandler

    public DelegatingHandler.ChildElementHandler()

### Method Detail

#### childHanlded

    public abstract void childHanlded(DH child)
                               throws org.xml.sax.SAXParseException

Throws:
  `org.xml.sax.SAXParseException`